#!/bin/bash

sed_copyright () {
    tempfile=$(tempfile)
    FTPSITE="ftp:\/\/ftp.sourceforge.net\/pub\/lmp\/"

    cat debian/copyright | sed -e "s/<fill in ftp site>/$FTPSITE/; s/<Must follow here>//g" > $tempfile
    mv $tempfile debian/copyright
}

echo -n "Do you really want to create deb sources and binaries? [N/y] "
read line
case "$line" in
[Yy])
    ;;
*)
    exit
esac

./autogen.sh --prefix=/usr
VERSION=$(grep ^VERSION Makefile)
VERSION=${VERSION##VERSION = }
cd ..
cp -a lmp lmp-$VERSION
cd lmp-$VERSION
deb-make
debstd
cat <<EOF > debian/control
Source: lmp
Section: math
Priority: optional
Maintainer: Bernhard J. Pietsch <bjtp@gmx.net>
Standards-Version: 3.1.1

Package: lmp
Architecture: any
Depends: \${shlibs:Depends}
Description: L Math Processor: A comfortable 'expr' replacement
 The L math processor (lmp) implements many basic primitives for
 mathematical solution of equations and terms just like the shell
 built-in 'expr'. But further lmp handles floating point and complex
 numbers and knows some more operations (but no string ops).
 .
 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License version 2 as
 published by the Free Software Foundation.
 .
 See the COPYING file for detail.

EOF
cat <<EOF > debian/changelog
lmp (0.2.99-8) unstable; urgency=low

  * bug fixes
  * integration added

 -- Bernhard J. Pietsch <bjtp@gmx.net>  Sat, 25 Mar 2001 12:23:00 +0200

lmp (0.2.99-7) unstable; urgency=low
  
  * bug fixes
  * simplification+differentiation updates

 -- Bernhard J. Pietsch <bjtp@gmx.net>  Sat, 25 Mar 2001 12:23:00 +0200

lmp (0.2.99-6) unstable; urgency=low
  
  * bug fixes
  * doc updates

 -- Bernhard J. Pietsch <bjtp@gmx.net>  Fri, 23 Feb 2001 19:23:07 +0100

lmp (0.2.99-5) unstable; urgency=low

  * bug fixes

 -- Bernhard J. Pietsch <bjtp@gmx.net>  Sat,  3 Feb 2001 21:01:27 +0100

lmp (0.2.99-4) unstable; urgency=medium
  
  * doc updates
  * many bug fixes
  
 -- Bernhard J. Pietsch <bjtp@gmx.net>  Fri, 19 Jan 2001 21:18:18 +0100

lmp (0.2.99-3) unstable; urgency=low

  * code cleanups
  * some bugs fixed
  * new controls

 -- Bernhard J. Pietsch <bjtp@gmx.net>  Fri,  5 Jan 2001 19:09:32 +0100

lmp (0.2.99-2) unstable; urgency=low

  * merged changes from stable
  * added simplifying

 -- Bernhard J. Pietsch <bjtp@gmx.net>  Sun,  3 Dec 2000 19:35:16 +0100

lmp (0.2.99-1) unstable; urgency=low

  * rewritten engine
  * differentiation support
  
 -- Bernhard J. Pietsch <bjtp@gmx.net>  Thu, 22 Nov 2000 21:22:44 +0100

lmp (0.2.8-1) unstable; urgency=medium
  
  * New upstream release
  * "-" unary/binary bug fixed (?)
  * "1e1" bug fixed

 -- Bernhard J. Pietsch <bjtp@gmx.net>  Thu, 22 Nov 2000 21:22:44 +0100

lmp (0.2.6-1) unstable; urgency=low

  * New upstream release
  * vartable bugs fixed
  * parser bugs fixed
  * new initialization style

 -- Bernhard J. Pietsch <bjtp@gmx.net>  Thu,  9 Nov 2000 17:32:44 +0100

lmp (0.2.5-1) unstable; urgency=low

  * New upstream release
  * added log function
  * updated help output
  * parse arguments support

 -- Bernhard J. Pietsch <bjtp@gmx.net>  Sun,  5 Nov 2000 14:33:27 +0100

lmp (0.2.4-1) unstable; urgency=low

  * Initial release.

 -- Bernhard J. Pietsch <bjtp@gmx.net>  Sat,  4 Nov 2000 17:00:28 +0100

Local variables:
mode: debian-changelog
End:

EOF
sed_copyright
cat copyright >> debian/copyright
cat <<EOF > debian/info
DESCR="L Math Processor Manual"
FILE=lmp.info
EOF

rm debian/README.debian
debuild
cd ..
exit
rm -Rf lmp-$VERSION
cd lmp
make distclean
